var skipScenes = false;
var counter = 0;
var counterTrees = 0;
var isWin = 0;
var jump2Counter = 0;
var currentPos = '';
var lastPos = '';
var timerInstructionVideo;
var idBeforeInstruction = 1;
let shower = false;
let lie = false;

var gameLine = {
  '-5': {
    video: 'inst_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_pistol.mp3', 0);
      StopSound('sounds/env_main.mp3', 0);
      StopSound('sounds/sfx_rifle_shot.mp3', 0);
      PlaySound('sounds/env_instruction.mp3', 1);
      // StopSound("sounds/env_main.mp3", 0);

      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
      // hideDialog();
      // renderActionGameScene(15)
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: 'instruction/1',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          // ObjSet('', {});
        },
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/2',
        x: 154,
        y: 127,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/3',
        x: 154,
        y: 127,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/4',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_4', { alp: 0.9 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_4', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/5',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_5', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_5', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/6',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_6', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_6', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/7',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_7', { alp: 1 });
        },
        click: function () {
          // ObjSet('spr_interface_instruction_7', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/8',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_7', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_7', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/9',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_9_1', { alp: 1 });
          ObjSet('spr_interface_instruction_9_2', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_9_1', { alp: 0 });
          ObjSet('spr_interface_instruction_9_2', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/10',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_10_1', { alp: 1 });
          ObjSet('spr_interface_instruction_10_2', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_10_1', { alp: 0 });
          ObjSet('spr_interface_instruction_10_2', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/11',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_11', { alp: 1 });
        },
        click: function () {
          // ObjSet('spr_interface_instruction_11', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/12',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_11', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_11', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/13',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_13', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_13', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/14',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_14', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_14', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/15',
        x: 516,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_15', { alp: 1 });
          ObjSet('vid_interface_instruction_15_video', { alp: 1 });
        },
        click: function () {
          // ObjSet('spr_interface_instruction_15', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/16',
        x: 516,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_15', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_15', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/17',
        x: 516,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_17', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_17', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/18',
        x: 516,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_18', { alp: 1 });
          var instructionVideos = [
            'vagina_x_ray_white_stop',
            'vagina_x_ray_white_slow_1',
            'vagina_x_ray_white_slow_2',
          ];
          var currentInstructionIdVideo = 0;
          timerInstructionVideo = setInterval(function () {
            currentInstructionIdVideo++;
            if (currentInstructionIdVideo > 2) {
              currentInstructionIdVideo = 0;
            }
            var nameVideoInstr = instructionVideos[currentInstructionIdVideo];
            vid_interface_instruction_15_video.src =
              './video/' + nameVideoInstr + '.mp4';
          }, 5000);
        },
        click: function () {
          ObjSet('spr_interface_instruction_18', { alp: 0 });
          clearTimeout(timerInstructionVideo);
          clearInterval(timerInstructionVideo);
          ObjSet('vid_interface_instruction_15_video', { alp: 0, input: 0 });
          vid_interface_instruction_15_video.pause();
          // document.querySelector('#vid_interface_instruction_15_video').remove();
        },
      },
    ],
    origin: 'inst_1       1-18',
  },
  '-4': {
    video: 'inst_2',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_pistol.mp3', 0);
      StopSound('sounds/env_main.mp3', 0);
      StopSound('sounds/sfx_rifle_shot.mp3', 0);
      PlaySound('sounds/env_instruction.mp3', 1);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_instruction.mp3', 1);
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: 'instruction/19',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/20',
        x: 509,
        y: 116,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_20', { alp: 1 });
        },
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/21',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/22',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/23',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/24',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {
          ObjSet('spr_interface_instruction_20', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/25',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/26',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/27',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/28',
        x: 509,
        y: 116,
        next: false,
        open: function () {},
        click: function () {
          // console.log('idBeforeInstruction', idBeforeInstruction);

          ObjSet('spr_interface_instruction_play', {
            alp: 1,
            input: 1,
            event_mup: () => {
              renderGameScene(idBeforeInstruction);
              ObjSet('spr_interface_instruction_play', { alp: 0, input: 0 });
            },
          });
        },
      },
    ],
    origin: 'inst_2       19-28',
  },
  1: {
    video: 'menu_1',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/sfx_hammer.mp3', 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {
      /*renderGameScene();*/
    },
    close: function () {
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'menu_2\t\tplay',
  },
  2: {
    video: 'menu_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      ObjSet('spr_interface_to_instruction', {
        alp: 1,
        input: 1,
        event_mup: () => {
          idBeforeInstruction = currentGameLine;
          renderGameScene(-5);
          ObjSet('spr_interface_to_instruction', { alp: 0, input: 0 });
          ObjSet('spr_interface_play', { alp: 0, input: 0 });
        },
      });

      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {
          ObjSet('spr_interface_play', { alp: 0, input: 0 });
          ObjSet('spr_interface_to_instruction', { alp: 0, input: 0 });
        },
      },
    ],
    origin: '\t\t',
  },
  3: {
    video: 'boy_1_driving',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/env_engine.mp3', 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '1',
        x: 150,
        y: 70,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '2',
        x: 150,
        y: 70,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '3',
        x: 150,
        y: 70,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '4',
        x: 150,
        y: 70,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '5',
        x: 150,
        y: 70,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'boy_1_driving\t1-5\t',
  },
  4: {
    video: 'boy_1_surprised',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/env_siren.mp3', 1);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '6',
        x: 150,
        y: 70,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '7',
        x: 150,
        y: 70,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '8',
        x: 150,
        y: 70,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'boy_1_surprised\t6-8\t',
  },
  5: {
    video: 'boy_1_stopped',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      StopSound('sounds/env_engine.mp3', 0);
      StopSound('sounds/env_siren.mp3', 0);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '9',
        x: 150,
        y: 70,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'boy_1_stop_the_car\t9\tplay',
  },
  6: {
    video: 'girl_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '10',
        x: 500,
        y: 110,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '11',
        x: 500,
        y: 110,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '12',
        x: 500,
        y: 110,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '13',
        x: 500,
        y: 110,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t\t',
  },
  7: {
    video: 'boy_2_girl_2',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '14',
        x: 400,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '15',
        x: 300,
        y: 160,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '16',
        x: 400,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '17',
        x: 300,
        y: 160,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '18',
        x: 400,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '19',
        x: 300,
        y: 160,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '20',
        x: 400,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '21',
        x: 300,
        y: 160,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '22',
        x: 400,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '23',
        x: 300,
        y: 160,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '24',
        x: 400,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '25',
        x: 300,
        y: 160,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '26',
        x: 400,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '27',
        x: 300,
        y: 160,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '28',
        x: 400,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '29',
        x: 300,
        y: 160,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '30',
        x: 400,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '31',
        x: 300,
        y: 160,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'girl_1\t10-13\tplay',
  },
  8: {
    video: 'boy_1_driving',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      PlaySound('sounds/env_engine.mp3', 1);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_engine.mp3', 0);
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '32',
        x: 150,
        y: 70,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '33',
        x: 150,
        y: 70,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '34',
        x: 150,
        y: 70,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t\t',
  },
  9: {
    video: 'two_days_later',
    loop: false,
    next: false,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'boy_2_girl_2\t14-31\tplay',
  },
  10: {
    video: 'girl_3_hammer',
    loop: false,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/sfx_hammer.mp3', 0);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [],
    origin: '\t\t',
  },
  11: {
    video: 'girl_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '35',
        x: 520,
        y: 270,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'boy_1_driving\t32-34\tplay',
  },
  12: {
    video: 'girl_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '36',
        x: 520,
        y: 270,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t\t',
  },
  13: {
    video: 'boy_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '37',
        x: 160,
        y: 240,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'two_days_later\t\tplay',
  },
  14: {
    video: 'girl_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '38',
        x: 520,
        y: 270,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t\t',
  },
  15: {
    video: 'boy_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '39',
        x: 160,
        y: 240,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'girl_3_hammer',
  },
  16: {
    video: 'girl_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '40',
        x: 520,
        y: 270,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'girl_3\t\t35',
  },
  17: {
    video: 'boy_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '41',
        x: 160,
        y: 240,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'girl_3\t\t36',
  },
  18: {
    video: 'girl_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '42',
        x: 520,
        y: 270,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'boy_3           37',
  },
  19: {
    video: 'girl_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '43',
        x: 520,
        y: 270,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'girl_3\t\t38',
  },
  20: {
    video: 'boy_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '44',
        x: 160,
        y: 240,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'boy_3           39',
  },
  21: {
    video: 'girl_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '45',
        x: 520,
        y: 270,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'girl_3\t\t40',
  },
  22: {
    video: 'boy_3_surprised',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '46',
        x: 160,
        y: 240,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'boy_3           41',
  },
  23: {
    video: 'girl_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '47',
        x: 520,
        y: 270,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'girl_3\t\t42',
  },
  24: {
    video: 'boy_3_surprised',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '48',
        x: 160,
        y: 240,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'girl_3\t\t43',
  },
  25: {
    video: 'girl_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '49',
        x: 520,
        y: 270,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'boy_3           44',
  },
  26: {
    video: 'boy_3_surprised',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '50',
        x: 160,
        y: 240,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'girl_3\t\t45',
  },
  27: {
    video: 'girl_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '51',
        x: 520,
        y: 270,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'boy_3_surprised\t\t46',
  },
  28: {
    video: 'boy_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '52',
        x: 160,
        y: 240,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'girl_3\t\t47',
  },
  29: {
    video: 'girl_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '53',
        x: 520,
        y: 270,
        next: false,
        open: function () {},
        click: function () {
          ObjSet('fine', {
            alp: 1,
            input: 1,
            event_mup: () => {
              ObjSet('fine', { alp: 0, input: 0 });
              ObjSet('happy_end', { alp: 0, input: 0 });
              renderGameScene(32);
            },
          });
          ObjSet('happy_end', {
            alp: 1,
            input: 1,
            event_mup: () => {
              ObjSet('fine', { alp: 0, input: 0 });
              ObjSet('happy_end', { alp: 0, input: 0 });
              renderGameScene();
            },
          });
        },
      },
    ],
    origin: 'boy_3_surprised\t\t48',
  },
  30: {
    video: 'boy_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '54',
        x: 160,
        y: 240,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'girl_3\t\t49',
  },
  31: {
    video: 'girl_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '55',
        x: 520,
        y: 270,
        next: false,
        open: function () {},
        click: function () {
          renderGameScene(36);
        },
      },
    ],
    origin: 'boy_3_surprised\t\t50',
  },
  32: {
    video: 'boy_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '56',
        x: 160,
        y: 240,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'girl_3\t\t51',
  },
  33: {
    video: 'girl_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '57',
        x: 520,
        y: 270,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'boy_3           52',
  },
  34: {
    video: 'girl_3_hammer',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/sfx_hammer.mp3', 0);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'girl_3\t\t53',
  },
  35: {
    video: 'boy_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '58',
        x: 500,
        y: 60,
        next: false,
        open: function () {},
        click: function () {
          renderGameScene(100);
        },
      },
    ],
    origin: 'boy_3           54',
  },
  36: {
    video: 'judge',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '59',
        x: 180,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '60',
        x: 700,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '61',
        x: 180,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '62',
        x: 700,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '63',
        x: 180,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'girl_3\t\t55',
  },
  37: {
    video: 'sex_1_stop',
    room: 'andressing',
    cum_image: './images/cum.png',
    countStopVideo: 4,
    countSlowVideo: 3,
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
      // StopSound('sounds/env_main.mp3', 0);
    },
    delete: true,
    origin: 'boy_1\t6-7\t',
  },
  38: {
    video: 'sex_2_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    window: false,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
  },
  39: {
    video: 'sex_3_stop',
    room: 'andressing',
    cum_image: './images/cum.png',
    countStopVideo: 5,
    countSlowVideo: 2,
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
      // StopSound('sounds/env_main.mp3', 0);
    },
    delete: true,
    origin: 'boy_1\t6-7\t',
  },
  40: {
    video: 'sex_4_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: false,
    window: false,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
  },
  41: {
    video: 'boy_4_girl_4',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '64',
        x: 350,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '65',
        x: 350,
        y: 130,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '66',
        x: 350,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '67',
        x: 350,
        y: 130,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '68',
        x: 350,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '69',
        x: 350,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '70',
        x: 350,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '71',
        x: 350,
        y: 130,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '',
  },

  gallery_sex_1_stop: {
    video: 'sex_1_stop',
    room: 'andressing',
    cum_image: './images/cum.png',
    countStopVideo: 4,
    countSlowVideo: 3,
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
      // StopSound('sounds/env_main.mp3', 0);
    },
    delete: true,
    origin: 'boy_1\t6-7\t',
  },
  gallery_sex_2_stop: {
    video: 'sex_2_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    window: false,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
  },
  gallery_sex_3_stop: {
    video: 'sex_3_stop',
    room: 'andressing',
    cum_image: './images/cum.png',
    countStopVideo: 5,
    countSlowVideo: 2,
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
      // StopSound('sounds/env_main.mp3', 0);
    },
    delete: true,
    origin: 'boy_1\t6-7\t',
  },
  gallery_sex_4_stop: {
    video: 'sex_4_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: false,
    window: false,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
  },
};

function getGameLine() {
  return gameLine;
}
